Subject: Re: bug#65908: 29.1.50; Emacs 29 regresses on macOS

From: Gerd Möllmann <[email-masked]>
Date: Thu, 05 Oct 2023 17:11:09 +0200

Alan Third <[email-masked]> writes:

> On Thu, Oct 05, 2023 at 04:09:36PM +0200, Gerd Möllmann wrote:
>> Alan Third <[email-masked]> writes:
>> 
>> > Indeed. I'm tempted to say we should revert the change since I now
>> > suspect I misunderstood how setlocale works when I wrote this and I'm
>> > not sure it's actually improving anything.
>> 
>> I hadn't checked this before, but with the patch I sent, the slowness is
>> indeed gone.  What a bloody mess, this stuff :-).
>
> Yeah.
>
> To answer your question in the other email, I saw the improvement only
> by removing the setlocale in the "if" statement. Your code has
> something similar, but it shows the speed improvement anyway, so I'm
> not sure what's happening differently.

I'm actually no longer sure I want to know :-).

> I've gone over the NSLocale documentation and it appears it explicitly
> supports locales like en_DE, but the "UNIX" side of macOS doesn't. I
> suppose it should be possible to generate your own en_DE locale, but
> that's a bit much, really.

Agree.  If someone wants to do this for some reason, more power to them.
They could then set LANG to it.  I won't do it for my case because I
don't have TUI appls that require it, AFAIK.

> I also prodded at the fallback "system" locale, but it doesn't even
> provide a locale ID, so it's useless.
>
>
> There's a couple of typos in your commit message.
>
>   Handle LANG on macOS differntly (bug#bug#65908)
>                              ^e    ^

Oops, thanks for spotting this.

Remains the question if that should go into emacs-29?  I'm for not
rocking the boat too much.  Although...